#include<iostream>
using namespace std;
int N,a[100000],b[100000];
int main(){
    cin>>N;
    int br=N;
    for(int i=0;i<N;i++){
        cin>>a[i];
    }
    for(int i=0;i<N;i++){
        cin>>b[i];
    }
    for(int i=0;i<N-1;i++){
        for(int j=0;j<N-1;j++){
            if(a[i]==b[j] && a[i+1]==b[j+1]){
                br--;
                break;
            }
        }
    }
    cout<<br;
return 0;
}
